2021-02-26 19:46:53

Aktualności:

Podczas rejestracji niezbędny jest działający email!


gusanos + linux => gdzie jest pach?

Zaczęty przez barnex, 2006-06-16 17:53:36

0 użytkowników i 1 Gość przegląda ten wątek.

barnex

ekhem,

[Z lekką tremą, ponieważ pierwszy raz zakłada wątek]

W związku ze zbliżającym się turniejem w gusanosy, postanowiłem zainstalować sobie własną kopię. Postępowałem zgodnie z oficjalną instrukcją, jednak w pewnym momencie okazało się, że nei mam pacha. Linux którego używam, to jakieś dość świeże Gentoo. Kiedy wystąpił pierwszy problem, sprawdziłem, czy aby na pewno mój system spełnia wszystkie zależności - okazało się, że... Prawie. Niestety wersja Allegro proponowana mi przez emerge (Gentoo'owe cudo do instalacji pakietów - Tutejszy odpowiednik Urpmi, Yuma, Aptitiude, czy Poldka) nie satysfakcjonowała gusanosów. Szybko to naprawiłem, i mam już Allegro w pachnącej nowością i jeszcze ciepłej wersji 4.2.0. Jednak:


Emiel gusanos # scons
scons: Reading SConscript files ...
sh: allegro-config: command not found
sh: allegro-config: command not found
scons: done reading SConscript files.
scons: Building targets ...
g++ -pipe -Wall -Wno-reorder -O3 -g -DNDEBUG -fomit-frame-pointer -IGUI -Ihttp -Iloadpng -Ilua51 -IConsole -IGUI -IUtility -IOmfgScript -c -o GUI/detail/.build/posix/release/gss.o GUI/detail/gss.cpp
GUI/detail/gss.cpp:17: error: expected template-name before '<' token
GUI/detail/gss.cpp:17: error: expected `{' before '<' token
GUI/detail/gss.cpp:17: error: expected unqualified-id before '<' token
GUI/detail/gss.cpp: In member function `void OmfgGUI::Context::loadGSS(std::istream&, const std::string&)':
GUI/detail/gss.cpp:54: error: variable `OmfgGUI::GSSImpl handler' has initializer but incomplete type
scons: *** [GUI/detail/.build/posix/release/gss.o] Error 1
scons: building terminated because of errors.


Cóż mogę dodać? POMURZZZ!!11

[edit] mogę dodać jeszcze, że to wersja cvsowa, pobierana kilka godzin temu, zgodnie z instrukcją[/edit]

Wesz

Jeżeli masz możliwość wejścia na kanał #liero, to zagadaj z glipticiem lub basarą, w przeciwnym wypadku napisz coś o tym na forum comsera.

barnex

poszedłem za Radą WSha, i ten problem już jest rozwiązany (jakoś nie tak zainstalowałem bibliotekę allegro, po odmaskowaniu i zrobieniu tego emergem problem zniknął. Ponadto był jeden pusty plik, któremu należało się skasowanie - nie zostało mi wyjasnione, czy to moja wina, czy nie, więc na wszelki wypadek napiszę, co to za plik: GUI/detail/gss-grammar.h).

No i po moim wątku  :'(